public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/cyrus-sasl/
Date: Sun, 31 May 2020 10:49:10 +0000 (UTC)	[thread overview]
Message-ID: <1590922143.3f0534fa9a1ccae7e20a5e007c4b20d3dd3e5f0d.slyfox@gentoo> (raw)

commit:     3f0534fa9a1ccae7e20a5e007c4b20d3dd3e5f0d
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun May 31 10:48:48 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun May 31 10:49:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f0534fa

dev-libs/cyrus-sasl: respect user's CC in CC_FOR_BUILD, bug #718868

Reported-by: Agostino Sarubbo
Closes: https://bugs.gentoo.org/718868
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-libs/cyrus-sasl/cyrus-sasl-2.1.27-r4.ebuild | 262 ++++++++++++++++++++++++
 1 file changed, 262 insertions(+)

diff --git a/dev-libs/cyrus-sasl/cyrus-sasl-2.1.27-r4.ebuild b/dev-libs/cyrus-sasl/cyrus-sasl-2.1.27-r4.ebuild
new file mode 100644
index 00000000000..ae70220c3f3
--- /dev/null
+++ b/dev-libs/cyrus-sasl/cyrus-sasl-2.1.27-r4.ebuild
@@ -0,0 +1,262 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils flag-o-matic multilib multilib-minimal autotools pam java-pkg-opt-2 db-use systemd toolchain-funcs
+
+SASLAUTHD_CONF_VER="2.1.26"
+
+DESCRIPTION="The Cyrus SASL (Simple Authentication and Security Layer)"
+HOMEPAGE="https://www.cyrusimap.org/sasl/"
+#SRC_URI="ftp://ftp.cyrusimap.org/cyrus-sasl/${P}.tar.gz"
+SRC_URI="https://github.com/cyrusimap/${PN}/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="BSD-with-attribution"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="authdaemond berkdb gdbm kerberos ldapdb libressl openldap mysql pam postgres sample selinux sqlite srp ssl static-libs urandom"
+
+CDEPEND="
+	net-mail/mailbase
+	virtual/libcrypt:=
+	authdaemond? ( || ( net-mail/courier-imap mail-mta/courier ) )
+	berkdb? ( >=sys-libs/db-4.8.30-r1:=[${MULTILIB_USEDEP}] )
+	gdbm? ( >=sys-libs/gdbm-1.10-r1:=[${MULTILIB_USEDEP}] )
+	kerberos? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
+	openldap? ( >=net-nds/openldap-2.4.38-r1[${MULTILIB_USEDEP}] )
+	mysql? ( dev-db/mysql-connector-c:0=[${MULTILIB_USEDEP}] )
+	pam? ( >=sys-libs/pam-0-r1[${MULTILIB_USEDEP}] )
+	postgres? ( dev-db/postgresql:* )
+	sqlite? ( >=dev-db/sqlite-3.8.2:3[${MULTILIB_USEDEP}] )
+	ssl? (
+		!libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+		libressl? ( dev-libs/libressl:=[${MULTILIB_USEDEP}] )
+	)
+	java? ( >=virtual/jdk-1.6:= )"
+
+REQUIRED_USE="ldapdb? ( openldap )"
+
+RDEPEND="
+	${CDEPEND}
+	selinux? ( sec-policy/selinux-sasl )"
+
+DEPEND="${CDEPEND}"
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/sasl/md5global.h
+)
+
+PATCHES=(
+	"${FILESDIR}/${PN}-2.1.27-avoid_pic_overwrite.patch"
+	"${FILESDIR}/${PN}-2.1.27-autotools_fixes.patch"
+	"${FILESDIR}/${PN}-2.1.27-as_needed.patch"
+	"${FILESDIR}/${PN}-2.1.25-auxprop.patch"
+	"${FILESDIR}/${PN}-2.1.27-gss_c_nt_hostbased_service.patch"
+	"${FILESDIR}/${PN}-2.1.26-missing-size_t.patch"
+	"${FILESDIR}/${PN}-2.1.27-doc_build_fix.patch"
+	"${FILESDIR}/${PN}-2.1.27-memmem.patch"
+	"${FILESDIR}/${PN}-2.1.27-CVE-2019-19906.patch"
+)
+
+pkg_setup() {
+	java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# Get rid of the -R switch (runpath_switch for Sun)
+	# >=gcc-4.6 errors out with unknown option
+	sed -i -e '/LIB_SQLITE.*-R/s/ -R[^"]*//' \
+		configure.ac || die
+
+	# Use plugindir for sasldir
+	sed -i '/^sasldir =/s:=.*:= $(plugindir):' \
+		"${S}"/plugins/Makefile.{am,in} || die "sed failed"
+
+	# #486740 #468556
+	sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' \
+		-e 's:AC_CONFIG_MACRO_DIR:AC_CONFIG_MACRO_DIRS:g' \
+		configure.ac || die
+
+	eautoreconf
+
+	export CC_FOR_BUILD="$(tc-getBUILD_CC)"
+}
+
+src_configure() {
+	append-flags -fno-strict-aliasing
+	if [[ ${CHOST} == *-solaris* ]] ; then
+		# getpassphrase is defined in /usr/include/stdlib.h
+		append-cppflags -DHAVE_GETPASSPHRASE
+	else
+		# this horrendously breaks things on Solaris
+		append-cppflags -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED -D_BSD_SOURCE -DLDAP_DEPRECATED
+	fi
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	# Java support.
+	multilib_is_native_abi && use java && export JAVAC="${JAVAC} ${JAVACFLAGS}"
+
+	local myeconfargs=(
+		--enable-login
+		--enable-ntlm
+		--enable-auth-sasldb
+		--disable-cmulocal
+		--disable-krb4
+		--disable-macos-framework
+		--enable-otp
+		--without-sqlite
+		--with-saslauthd="${EPREFIX}"/run/saslauthd
+		--with-pwcheck="${EPREFIX}"/run/saslauthd
+		--with-configdir="${EPREFIX}"/etc/sasl2
+		--with-plugindir="${EPREFIX}"/usr/$(get_libdir)/sasl2
+		--with-dbpath="${EPREFIX}"/etc/sasl2/sasldb2
+		--with-sphinx-build=no
+		$(use_with ssl openssl)
+		$(use_with pam)
+		$(use_with openldap ldap)
+		$(use_enable ldapdb)
+		$(multilib_native_use_enable sample)
+		$(use_enable kerberos gssapi)
+		$(multilib_native_use_enable java)
+		$(multilib_native_use_with mysql mysql "${EPREFIX}"/usr)
+		$(multilib_native_use_with postgres pgsql "${EPREFIX}"/usr/$(get_libdir)/postgresql)
+		$(use_with sqlite sqlite3 "${EPREFIX}"/usr/$(get_libdir))
+		$(use_enable srp)
+		$(use_enable static-libs static)
+
+		# Add authdaemond support (bug #56523).
+		$(usex authdaemond --with-authdaemond="${EPREFIX}"/var/lib/courier/authdaemon/socket '')
+
+		# Fix for bug #59634.
+		$(usex ssl '' --without-des)
+
+		# Use /dev/urandom instead of /dev/random (bug #46038).
+		$(usex urandom --with-devrandom=/dev/urandom '')
+	)
+
+	if use sqlite || { multilib_is_native_abi && { use mysql || use postgres; }; } ; then
+		myeconfargs+=( --enable-sql )
+	else
+		myeconfargs+=( --disable-sql )
+	fi
+
+	# Default to GDBM if both 'gdbm' and 'berkdb' are present.
+	if use gdbm ; then
+		einfo "Building with GNU DB as database backend for your SASLdb"
+		myeconfargs+=( --with-dblib=gdbm )
+	elif use berkdb ; then
+		einfo "Building with BerkeleyDB as database backend for your SASLdb"
+		myeconfargs+=(
+			--with-dblib=berkeley
+			--with-bdb-incdir="$(db_includedir)"
+		)
+	else
+		einfo "Building without SASLdb support"
+		myeconfargs+=( --with-dblib=none )
+	fi
+
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	emake
+
+	# Default location for java classes breaks OpenOffice (bug #60769).
+	# Thanks to axxo@gentoo.org for the solution.
+	if multilib_is_native_abi && use java ; then
+		jar -cvf ${PN}.jar -C java $(find java -name "*.class")
+	fi
+}
+
+multilib_src_install() {
+	default
+
+	if multilib_is_native_abi; then
+		if use sample ; then
+			docinto sample
+			dodoc "${S}"/sample/*.c
+			exeinto /usr/share/doc/${P}/sample
+			doexe sample/client sample/server
+		fi
+
+		# Default location for java classes breaks OpenOffice (bug #60769).
+		if use java; then
+			java-pkg_dojar ${PN}.jar
+			java-pkg_regso "${ED}/usr/$(get_libdir)/libjavasasl$(get_libname)"
+			# hackish, don't wanna dig through makefile
+			rm -rf "${ED}/usr/$(get_libdir)/java" || die
+			docinto "java"
+			dodoc "${S}/java/README" "${FILESDIR}/java.README.gentoo" "${S}"/java/doc/*
+			dodir "/usr/share/doc/${PF}/java/Test"
+			insinto "/usr/share/doc/${PF}/java/Test"
+			doins "${S}"/java/Test/*.java
+		fi
+
+		dosbin saslauthd/testsaslauthd
+	fi
+}
+
+multilib_src_install_all() {
+	doman man/*
+
+	keepdir /etc/sasl2
+
+	# Reset docinto to default value (#674296)
+	docinto
+	dodoc AUTHORS ChangeLog doc/legacy/TODO
+	newdoc pwcheck/README README.pwcheck
+
+	newdoc docsrc/sasl/release-notes/$(ver_cut 1-2)/index.rst release-notes
+	edos2unix "${ED}/usr/share/doc/${PF}/release-notes"
+
+	docinto html
+	dodoc doc/html/*.html
+
+	newpamd "${FILESDIR}/saslauthd.pam-include" saslauthd
+
+	newinitd "${FILESDIR}/pwcheck.rc6" pwcheck
+	systemd_dounit "${FILESDIR}/pwcheck.service"
+
+	newinitd "${FILESDIR}/saslauthd2.rc7" saslauthd
+	newconfd "${FILESDIR}/saslauthd-${SASLAUTHD_CONF_VER}.conf" saslauthd
+	systemd_dounit "${FILESDIR}/saslauthd.service"
+	systemd_dotmpfilesd "${FILESDIR}/${PN}.conf"
+
+	# The get_modname bit is important: do not remove the .la files on
+	# platforms where the lib isn't called .so for cyrus searches the .la to
+	# figure out what the name is supposed to be instead
+	if ! use static-libs && [[ $(get_modname) == .so ]] ; then
+		find "${ED}" -name "*.la" -delete || die
+	fi
+}
+
+pkg_postinst() {
+	# Generate an empty sasldb2 with correct permissions.
+	if ( use berkdb || use gdbm ) && [[ ! -f "${EROOT}/etc/sasl2/sasldb2" ]] ; then
+		einfo "Generating an empty sasldb2 with correct permissions ..."
+		echo "p" | "${EROOT}/usr/sbin/saslpasswd2" -f "${EROOT}/etc/sasl2/sasldb2" -p login \
+			|| die "Failed to generate sasldb2"
+		"${EROOT}/usr/sbin/saslpasswd2" -f "${EROOT}/etc/sasl2/sasldb2" -d login \
+			|| die "Failed to delete temp user"
+		chown root:mail "${EROOT}/etc/sasl2/sasldb2" \
+			|| die "Failed to chown ${EROOT}/etc/sasl2/sasldb2"
+		chmod 0640 "${EROOT}/etc/sasl2/sasldb2" \
+			|| die "Failed to chmod ${EROOT}/etc/sasl2/sasldb2"
+	fi
+
+	if use authdaemond ; then
+		elog "You need to add a user running a service using Courier's"
+		elog "authdaemon to the 'mail' group. For example, do:"
+		elog "	gpasswd -a postfix mail"
+		elog "to add the 'postfix' user to the 'mail' group."
+	fi
+
+	elog "pwcheck and saslauthd home directories have moved to:"
+	elog "  /run/saslauthd, using tmpfiles.d"
+}


             reply	other threads:[~2020-05-31 10:49 UTC|newest]

Thread overview: 107+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-31 10:49 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-20  4:13 [gentoo-commits] repo/gentoo:master commit in: dev-libs/cyrus-sasl/ Sam James
2025-03-20  4:13 Sam James
2024-11-25 21:49 Sam James
2024-11-23 18:02 Arthur Zamarin
2024-11-23 14:51 Sam James
2024-11-23 13:02 Arthur Zamarin
2024-11-23 12:24 Arthur Zamarin
2024-11-23 12:11 Sam James
2024-08-31  1:52 Sam James
2024-08-24 16:56 James Le Cuirot
2024-07-26  8:12 Fabian Groffen
2024-04-26 12:50 Sam James
2024-04-26 12:50 Sam James
2022-08-25 18:25 Agostino Sarubbo
2022-08-25 18:15 Agostino Sarubbo
2022-08-25 17:40 Arthur Zamarin
2022-08-25 17:39 Arthur Zamarin
2022-06-01  5:06 Sam James
2022-06-01  5:06 Sam James
2022-05-07 11:14 WANG Xuerui
2022-04-27  4:34 Arthur Zamarin
2022-03-23  0:14 Sam James
2022-03-21  9:18 Jakov Smolić
2022-03-21  7:47 Agostino Sarubbo
2022-03-19 19:21 Agostino Sarubbo
2022-03-19 14:21 Arthur Zamarin
2022-03-19 13:12 Sam James
2022-03-19  7:56 Agostino Sarubbo
2022-02-23 13:31 Sam James
2022-02-23  2:55 Sam James
2021-11-19 11:33 Sam James
2021-11-13 11:34 Sam James
2021-11-12 20:51 Sam James
2021-11-08 19:32 Sam James
2021-11-08  6:22 Sam James
2021-11-08  6:22 Sam James
2021-11-06  8:34 Agostino Sarubbo
2021-11-06  8:33 Agostino Sarubbo
2021-10-27 23:26 Sam James
2021-07-01 14:06 Marek Szuba
2021-05-09  6:38 Sam James
2021-05-06 23:26 Sam James
2021-05-06 23:26 Sam James
2021-05-02 15:38 Mikle Kolyada
2021-01-24 11:08 Mikle Kolyada
2021-01-24 11:08 Mikle Kolyada
2020-09-03 23:57 Sam James
2020-09-01  1:05 Sam James
2020-08-18 23:47 Sam James
2020-08-17 10:01 Agostino Sarubbo
2020-08-17  9:59 Agostino Sarubbo
2020-08-17  9:58 Agostino Sarubbo
2020-08-17  9:57 Agostino Sarubbo
2020-08-17  9:55 Agostino Sarubbo
2020-05-31 11:51 Sergei Trofimovich
2020-04-10 10:30 Joonas Niilola
2020-03-09 19:29 Mike Gilbert
2020-01-03 12:30 Agostino Sarubbo
2019-12-31  8:18 Agostino Sarubbo
2019-12-30 16:13 Agostino Sarubbo
2019-12-26  9:49 Sergei Trofimovich
2019-12-25 21:12 Aaron Bauman
2019-12-25 20:24 Sergei Trofimovich
2019-12-25 20:22 Sergei Trofimovich
2019-12-24 14:35 Mikle Kolyada
2019-12-24 11:09 Agostino Sarubbo
2019-12-24 10:56 Agostino Sarubbo
2019-12-23 21:41 Thomas Deutschmann
2019-10-12 18:57 Mikle Kolyada
2019-05-15 17:44 Mikle Kolyada
2019-05-10  4:41 Markus Meier
2019-05-06 18:04 Tobias Klausmann
2019-04-28 20:23 Mikle Kolyada
2019-04-24 21:33 Thomas Deutschmann
2019-04-20  7:47 Sergei Trofimovich
2019-04-13  2:44 Aaron Bauman
2019-04-07 22:38 Aaron Bauman
2019-04-07 21:16 Sergei Trofimovich
2019-04-05 19:03 Sergei Trofimovich
2019-04-05 13:30 Lars Wendler
2019-02-10  0:19 Brian Evans
2019-01-02  9:41 Lars Wendler
2019-01-02  9:38 Lars Wendler
2019-01-02  8:22 Lars Wendler
2019-01-02  8:22 Lars Wendler
2019-01-02  2:52 Jason A. Donenfeld
2019-01-01 16:44 Lars Wendler
2018-11-27 16:01 Tobias Klausmann
2018-11-23 16:18 Sergei Trofimovich
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:41 Sergei Trofimovich
2018-11-17 14:07 Mikle Kolyada
2018-11-16 20:25 Mike Gilbert
2018-11-15 15:48 Thomas Deutschmann
2018-08-05 21:48 Patrice Clement
2018-07-15 13:20 Mart Raudsepp
2018-06-17  9:01 Lars Wendler
2018-06-13 16:21 Lars Wendler
2018-05-01  7:41 Markus Meier
2018-04-01 11:06 Sergei Trofimovich
2018-03-24 21:19 Sergei Trofimovich
2017-12-16 20:58 Fabian Groffen
2017-01-03 15:06 Fabian Groffen
2016-12-20 13:57 Fabian Groffen
2016-09-14 10:59 Patrice Clement
2015-09-20 16:39 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1590922143.3f0534fa9a1ccae7e20a5e007c4b20d3dd3e5f0d.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox